APROPOS(1)

NUME
apropos - caută numele și descrierile paginii manualului

SINOPSIS
apropos [-dalv?V] [-e|-w|-r] [-s listă] [-m sistem[,...]] [-M ruta] [-L identificator_localizare] [-C fișier] cuvânt_cheie ...

DESCRIERE
Fiecare pagină de manual are o descriere scurtă disponibilă înăuntrul acesteia. apropos caută descrierile pentru instanțe ale cuvânt_cheie.

cuvânt(ul)_cheie este de obicei o expresie regulată, ca și cum ar fi fost utilizat (-r), sau poate să conțină metacaractere (-w), sau să se potrivească exact cu cuvântul cheie (-e). Utilizând aceste opțiuni, poate fi necesar să citați cuvânt(ul)_cheie sau să eludați (\) caracterele speciale, pentru a prevenii interpretarea lor, de către «shell».

Regulile standard de potrivire, permit ca potrivirile să fie făcute cu numele paginii și limitele cuvintelor din descriere.

Baza de date căutată de apropos este actualizată de programul mandb. În funcție de instalarea dvs., acesta poate fi executat printr-o sarcină periodică «cron», sau poate fi necesar să fie executat manual ,după ce au fost instalate noi pagini de manual.

OPȚIUNI

-d, --debug
    Imprimă informațiile de depanare.

-v, --verbose
    Imprimă mesaje de avertisment detaliate.

-r, --regex
    Interpretează fiecare cuvânt cheie ca o expresie regulată. Acesta este comportamentul implicit. Fiecare cuvânt cheie va fi corelat cu numele paginilor și descrierilor în mod independent. Se poate potrivi cu orice parte dintre ele. Potrivirea nu este limitată la limitele de cuvinte.

-w, --wildcard
    Interpretează fiecare cuvânt cheie ca un model care conține metacaractere în stilul «shell». Fiecare cuvânt cheie va fi corelat cu numele paginilor și descrierilor în mod independent. Dacă --exact este, de asemenea, utilizat, o potrivire va fi găsită doar dacă un cuvânt cheie expandat se potrivește cu numele complet al paginii sau cu întreaga descriere. În caz contrar, cuvântul cheie poate să se potrivească și în limitele cuvintelor din descriere.

-e, --exact
    Fiecare cuvânt cheie va fi corelat exact cu numele paginilor și descrierilor.

-a, --and
    Afișează doar elemente care se potrivesc cu cuvintele cheie specificate. În mod implicit, sunt afișate elementele care se potrivesc oricărui cuvânt cheie.

-l, --long
    Nu reduce ieșirea la lățimea terminalului. În mod normal, ieșirea va fi trunchiată la lățimea terminalului pentru a evita rezultate nedorite din secțiunile NUME scrise greșit.

-s listă, --sections=listă, --section=listă
    Caută doar secțiunile de manual specificate. listă, este o listă de secțiuni separate prin două puncte sau virgulă. Dacă o intrare din listă este o secțiune simplă, de exemplu „3”, atunci lista de descrieri afișată va include pagini din secțiunile „3”, „3perl”, „3x”, și așa mai departe; în timp ce, dacă o intrare din listă are o extensie, de exemplu „3perl”, atunci lista va include doar paginile din acea parte exactă a secțiunii de manual.

-m sistem[,...], --systems=sistem[,...]
    Dacă acest sistem are acces la descrierile paginilor de manual ale altor sisteme de operare, acestea pot fi căutate utilizând această opțiune. Pentru a căuta în descrierile paginilor de manual ale «Noului_SO», utilizați opțiunea -m «Nou_SO».

    Sistemul specificat poate fi o combinație de nume de sisteme de operare delimitate de virgule. Pentru a include o căutare a descrierilor whatis ale sistemului de operare nativ, includeți numele sistemului man în șirul de argumente. Această opțiune va suprascrie variabila de mediu $SYSTEM.

-M ruta, --manpath=ruta
    Specifică un set alternativ de ierarhii de pagini de manual, delimitate de două puncte, pentru căutare. În mod implicit, apropos utilizează variabila de mediu $MANPATH, cu excepția cazului în care aceasta este goală sau nestabilită, caz în care va determina o rută adecvată către paginile de manual, pe baza variabilei de mediu $PATH. Această opțiune suprascrie conținutul lui $MANPATH.

-L identificator_localizare, --locale=identificator_localizare
    apropos va determina în mod normal localizarea curentă printr-un apel la funcția C setlocale(3) care interoghează diverse variabile de mediu, inclusiv $LC_MESSAGES și $LANG. Pentru a suprascrie temporar valoarea determinată, utilizați această opțiune pentru a furniza un șir identificator_localizare direct către apropos. Rețineți că aceasta nu va avea efect până când căutarea paginilor nu începe efectiv. Ieșirea precum mesajul de ajutor va fi întotdeauna afișată în localizarea determinată inițial.

-C fișier, --config-file=fișier
    Utilizează acest fișier de configurare al utilizatorului, mai degrabă decât cel implicit din ~/.manpath.

-?, --help
    Imprimă un mesaj de ajutor și iese.

--usage
    Imprimă un mesaj scurt de utilizare și iese.

-V, --version
    Afișează informații despre versiune.

STARE DE IEȘIRE

0   Executarea programului s-a încheiat fără erori.

1   Eroare de utilizare, de sintaxă sau de fișier de configurare.

2   Eroare operațională.

16  Nu s-a găsit nimic care să se potrivească cu criteriile specificate.

MEDIU

SYSTEM
    Dacă variabila $SYSTEM este definită, aceasta va avea același efect ca și cum ar fi fost specificată ca argument la opțiunea -m.

MANPATH
    Dacă variabila $MANPATH este definită, valoarea acesteia va fi interpretată ca fiind ruta de căutare a ierarhiei paginilor de manual delimitată prin două puncte („:”) care trebuie utilizată.

    Consultați secțiunea RUTA DE CĂUTARE din manpath(5) pentru comportamentul implicit și detalii despre modul în care este gestionată această variabilă de mediu.

MANWIDTH
    Dacă $MANWIDTH este definiită, valoarea acesteia este utilizată ca lățime a terminalului (consultați opțiunea --long). Dacă nu este definiită, lățimea terminalului va fi calculată utilizând valoarea de $COLUMNS, și ioctl(2) dacă este disponibilă, sau se revine la 80 de caractere dacă orice altceva eșuează.

POSIXLY_CORRECT
    Dacă variabila $POSIXLY_CORRECT este definiită, chiar la o valoare null, căutarea implicită apropos va fi ca o expresie regulată extinsă (-r). În prezent, acesta este oricum comportamentul implicit.

FIȘIERE

/usr/share/man/index.(bt|db|dir|pag)
    Memorie tampon a bazei de date index globală tradițională.

/var/cache/man/index.(bt|db|dir|pag)
    Memorie tampon a bazei de date index globală conform cu FHS.

/usr/share/man/.../whatis
    O bază de date text whatis tradițională.

CONSULTAȚI ȘI
man(1), whatis(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

ERORI
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db